Retrieves an object of the specified key

Request Information

URI Parameters :

NameDescriptionTypeAdditional information
id

globally unique identifier

Required

Body Parameters :

None.

Response Information

Resource Description :

IHttpActionResult

location
NameDescriptionTypeAdditional information
id

globally unique identifier

Required

_parent_id

Reference to a parent location

globally unique identifier
_parent_reference_back_office

Embedded entity "location" for parent location using ERP PK when adding/updating location

string
_parent_location

Embedded entity "location" for parent location when adding/updating location

location
project_status_id

Foreign key to project_status_id

globally unique identifier
company_id

The company owner of this location

globally unique identifier

Optionally required : company_id, company_code or company must be provided

company_code

Embedded entity "company" using ERP PK when adding/updating location

string

Optionally required : company_id, company_code or company must be provided

company

Embedded entity "company" when adding/updating location

company

Optionally required : company_id, company_code or company must be provided

name

Name of the location

string

Required

Max length: 50

extra_information

extra_information

string

Max length: 255

reference_back_office

The Id/Ref of the back office for this location. Used by Embedded entity

string

Max length: 255

street

Street

string

Max length: 100

street_number

Street number.

string

Max length: 50

zip

Zip code

string

Max length: 50

city

City

string

Max length: 50

phone

Phone number

string

Max length: 50

email

Email address

string

Max length: 250

db_country_id

Foreign key to table Country

globally unique identifier
db_country_code

CountryCode entity using international code when adding/updating company

string
street2

Additional information on the address not part of the postal address

string

Max length: 50

latitude_decimal

Decimal coordonate for the latitude. (-1;-1) means invalid and (0;0) means not already geo-encoded

decimal number
longitude_decimal

Decimal coordonate for the longitude. (-1;-1) means invalid and (0;0) means not already geo-encoded

decimal number
contact_id

Foreign key of contact for this location

globally unique identifier
contact_reference_back_office

Foreign key of contact for this location. If you don't know the GUID, use contact_reference_back_office

string
contact

Embedded entity "contact" when adding/updating location

contact
modified_dateutc

Readonly system field managed by database, filled with GetUtcDate when adding,updating

date
id2

Internal ID (numeric). Will be used if reference_back_office is empty

integer

Response Formats

application/json, text/json

Sample:
{
  "id": "03f6865d-271c-42e2-a456-ffce52692eab",
  "_parent_id": "5f73fd49-1005-4e6f-8677-8ba363a0d599",
  "_parent_reference_back_office": "sample string 3",
  "project_status_id": "47e2db91-b420-484b-a35d-c07b174e7146",
  "company_id": "a20d8ad6-0d36-4fa2-92a2-78adc58f650b",
  "company_code": "sample string 6",
  "name": "sample string 7",
  "extra_information": "sample string 8",
  "reference_back_office": "sample string 9",
  "street": "sample string 10",
  "street_number": "sample string 11",
  "zip": "sample string 12",
  "city": "sample string 13",
  "phone": "sample string 14",
  "email": "sample string 15",
  "db_country_id": "94b49204-8ba4-418b-8751-386e4848a0d7",
  "db_country_code": "sample string 17",
  "street2": "sample string 18",
  "latitude_decimal": 1.0,
  "longitude_decimal": 1.0,
  "contact_id": "0a8520fb-faa0-4661-ad2a-a35625490123",
  "contact_reference_back_office": "sample string 20",
  "contact": {
    "id": "6b852bd7-4e82-4b2e-a725-07639858b947",
    "firstname": "sample string 2",
    "lastname": "sample string 3",
    "company_id": "32eb344c-c058-4821-b4c0-e60b5be210a0",
    "company_code": "sample string 5",
    "company": {
      "id": "ec9cde01-d4e6-42ef-aaa6-b477cf4f71ad",
      "is_client": true,
      "is_supplier": true,
      "archived": true,
      "name": "sample string 5",
      "notes": "sample string 6",
      "create_date": "2026-10-22T23:00:59.2110246+00:00",
      "sales_territory_id": "ca001803-d64c-4821-9671-42a7354c36a5",
      "sales_territory_code": "sample string 9",
      "sales_territory": {
        "id": "bd5d1cf2-896d-47d2-bd59-f953e822909d",
        "code": "sample string 2",
        "description": "sample string 3",
        "sales_organization_id": "2f650da8-fdb2-41a2-9fd8-973cd1a5e5cf",
        "sales_organization_code": "sample string 5",
        "sales_organization": {
          "id": "290d35e9-e244-4d8b-9207-15474ed8dbf1",
          "code": "sample string 2",
          "name": "sample string 3",
          "description": "sample string 4",
          "db_country_id": "2c1ae84b-8ea3-4835-a4cc-bd5099d8a721",
          "db_currency_id": "71d08d50-39c8-4474-977b-155656f76f19",
          "db_language_id": "8ad1c399-09ef-45ca-8c6e-d6f9544f59d4",
          "accountancy_code": "sample string 8",
          "archived": true,
          "default_unit_of_measure_system_type": "sample string 10",
          "street": "sample string 11",
          "street2": "sample string 12",
          "street_number": "sample string 13",
          "zip": "sample string 14",
          "city": "sample string 15",
          "email": "sample string 16",
          "phone": "sample string 17",
          "fax": "sample string 18",
          "url": "sample string 19",
          "vat_reg_code": "sample string 20",
          "modified_dateutc": "2026-10-22T23:00:59.2110246+00:00"
        },
        "modified_dateutc": "2026-10-22T23:00:59.2110246+00:00"
      },
      "marketing_segment_id": "97c4adbe-d448-4644-aa79-4913aeec774b",
      "marketing_segment_code": "sample string 11",
      "sales_organization_id": "6c40def7-f70a-4070-8527-febb8a046dd0",
      "sales_organization_code": "sample string 13",
      "company_sales_status_code": "sample string 14",
      "vat_reg_code": "sample string 15",
      "is_working_address": true,
      "parent_id": "2ee4d433-85a2-46ac-904e-ec78f048ed21",
      "parent_company_code": "sample string 18",
      "phone": "sample string 19",
      "fax": "sample string 20",
      "url": "sample string 21",
      "email": "sample string 22",
      "street": "sample string 23",
      "street_number": "sample string 24",
      "city": "sample string 25",
      "zip": "sample string 26",
      "db_country_id": "9f4ef5aa-fedf-4266-8e16-580b608e1197",
      "db_country_code": "sample string 28",
      "feelist_id": "7928c0b8-ea0d-4d67-9a4d-328b991fd942",
      "feelist_reference_back_office": "sample string 30",
      "feelist": {
        "id": "67fba2a0-4e2e-42b3-9481-91ea7e5d9633",
        "name": "sample string 2",
        "description": "sample string 3",
        "is_default": true,
        "default_price": 1.0,
        "sales_organization_id": "9b802274-859d-4ec0-a67f-593500e51c39",
        "sales_organization_code": "sample string 6",
        "reference_back_office": "sample string 7",
        "modified_dateutc": "2026-10-22T23:00:59.2110246+00:00",
        "db_currency_id": "beba5cab-d66b-4f46-9d58-940d62274d89",
        "db_currency_code": "sample string 10"
      },
      "company_type_id": "fd0c71d3-d2f4-46b5-86a2-ad525963ee06",
      "company_type_name": "sample string 32",
      "company_type": {
        "id": "67e6f175-3969-4bd5-aeee-8a83aab1ce65",
        "name": "sample string 2",
        "description": "sample string 3",
        "sales_organization_id": "b36058ae-bdf2-49b1-8cb7-b621fac9a02e",
        "sales_organization_code": "sample string 5"
      },
      "db_language_id": "01c40674-749e-4b40-8486-046a96283f2a",
      "db_language_code": "sample string 34",
      "code": "sample string 35",
      "article_price_label_id": "737d6a00-89f7-439e-b625-39c458cece4e",
      "article_price_label_code": "sample string 37",
      "db_payment_method_id": "2c07b0ce-fb56-43e3-bbd2-ae14fdeb2136",
      "db_payment_method_reference_back_office": "sample string 39",
      "db_payment_methods": {
        "id": "ea6422c7-614c-4f9f-8133-ce61f8af990b",
        "name": "sample string 2",
        "description": "sample string 3",
        "reference_back_office": "sample string 4",
        "activated": true,
        "modified_dateutc": "2026-10-22T23:00:59.2110246+00:00"
      },
      "company_sector_id": "5a41bec5-ebd1-4e9d-b2b1-92e66bacea1f",
      "company_sector_code": "sample string 41",
      "is_lead": true,
      "is_subcontractor": true,
      "latitude": 1.0,
      "longitude": 1.0,
      "street2": "sample string 44",
      "bic_code": "sample string 45",
      "specialities": "sample string 46",
      "register_number": "sample string 47",
      "register_city": "sample string 48",
      "bankaccount": "sample string 49",
      "mobile": "sample string 50",
      "service_manager_user_id": "fa7b8883-1686-4735-bc89-3f342dc361ee",
      "service_manager_user_code": "sample string 52",
      "finance_manager_user_id": "518f3998-ada5-4296-a76e-04a3d3659d4f",
      "finance_manager_user_code": "sample string 54",
      "account_manager_user_id": "d2994e68-aed9-4ac8-9fa3-0197f7e08c15",
      "account_manager_user_code": "sample string 56",
      "company_status_id": "503195c1-5d38-43f0-896e-8f47a9857421",
      "invoice_email_to": "sample string 58",
      "modified_dateutc": "2026-10-22T23:00:59.2110246+00:00",
      "id2": 60
    },
    "db_language_id": "ece13208-48b0-45f8-9503-e099d122af0d",
    "db_language_code": "sample string 7",
    "db_title_id": "e24dc3ec-1161-4887-a152-07970de8e8c6",
    "archived": true,
    "functions": "sample string 10",
    "e_login": "sample string 11",
    "e_password": "sample string 12",
    "notes": "sample string 13",
    "birthdate": "2026-10-22T23:00:59.2110246+00:00",
    "create_date": "2026-10-22T23:00:59.2110246+00:00",
    "phone": "sample string 16",
    "mobile": "sample string 17",
    "email": "sample string 18",
    "skype": "sample string 19",
    "private_phone": "sample string 20",
    "private_mobile": "sample string 21",
    "private_email": "sample string 22",
    "reference_back_office": "sample string 23",
    "modified_dateutc": "2026-10-22T23:00:59.2110246+00:00"
  },
  "modified_dateutc": "2026-10-22T23:00:59.2110246+00:00",
  "id2": 22
}